package com.company.additionaldatastore.screen.newentity;

import com.company.additionaldatastore.entity.NewEntity;
import io.jmix.core.DataManager;
import io.jmix.securitydata.entity.ResourceRoleEntity;
import io.jmix.ui.component.Button;
import io.jmix.ui.screen.*;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.UUID;

@UiController("NewEntity.edit")
@UiDescriptor("new-entity-edit.xml")
@EditedEntityContainer("newEntityDc")
public class NewEntityEdit extends StandardEditor<NewEntity> {
    @Autowired
    protected DataManager dataManager;

    @Subscribe("roleFill")
    protected void onRoleFillClick(final Button.ClickEvent event) {
        getEditedEntity().setRole(dataManager.load(ResourceRoleEntity.class)
                .all()
                .list()
                .stream()
                .filter(resourceRoleEntity -> resourceRoleEntity.getName().equals("test"))
                .findFirst().orElse(null)
        );
//        "8fe9ac25-8771-99e2-e360-05b13da276a2"
    }
}